This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 135951 - rpmbuild fails to glob broken symlinks
rpmbuild fails to glob broken symlinks
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 16:50 EDT by Thomas Fitzsimmons
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 18:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2004-10-15 16:50:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
I'm told that jbj is aware of this problem but I couldn't find a
report in bugzilla so I'm filing it here as a reminder. 
Unfortunately, globbing works on my test machine and breaks in a
beehive buildroot (same rpm version 4.2.2, test machine kernel:
2.4.21-15.ELsmp buildroot kernel: 2.4.21-14.ELsmp) so I don't have
reproduction details.  I'm banking on Jeff knowing the details.


Version-Release number of selected component (if applicable):
rpm-4.2.2

How reproducible:
Sometimes

Steps to Reproduce:
1. build a package that attempts to glob broken symlinks

Actual Results:  Error message:

File not found by glob:
/usr/src/build/470964-i386/install/usr/lib/jvm-exports/java-1.4.2-ibm-1.4.2.0/*.jar


Expected Results:  rpmbuild should glob the broken symlinks as symlinks.


Additional info:
Comment 1 Jeff Johnson 2004-10-15 18:17:51 EDT
No fix in rpm-4.2.2.

Try rpm-4.3.2-13 from fc3. That has internal glob.


Note You need to log in before you can comment on or make changes to this bug.